Index: kernel/GBEngine/kstd1.cc
===================================================================
--- kernel/GBEngine/kstd1.cc	(revision 0c669f797f1425a0c889419c6dcb158f6278afa1)
+++ kernel/GBEngine/kstd1.cc	(revision c6a876cd79ed3203ef80952a2f353799dc626ccc)
@@ -1765,6 +1765,5 @@
       printf("\nBefore Ll = %i\n", strat->Ll);
       #endif
-      if(!rField_is_Ring(strat->tailRing) || rHasLocalOrMixedOrdering(currRing))
-        red_result = strat->red(&strat->P,strat);
+      red_result = strat->red(&strat->P,strat);
       #ifdef ADIDEBUG
       printf("\nThis is P nach red:\n");p_Write(strat->P.p,strat->tailRing);p_Write(strat->P.p1,strat->tailRing);p_Write(strat->P.p2,strat->tailRing);
@@ -1841,5 +1840,5 @@
       if (strat->P.lcm!=NULL)
       {
-        if (rField_is_Ring(currRing)) 
+        if (rField_is_Ring(currRing))
           pLmDelete(strat->P.lcm);
         else
@@ -2561,5 +2560,5 @@
     //This is how we set the SBA algorithm;
     int totalsbaruns = 1,blockedreductions = 20,blockred = 0,loops = 0;
-    while(sigdrop && (loops < totalsbaruns || totalsbaruns == -1) 
+    while(sigdrop && (loops < totalsbaruns || totalsbaruns == -1)
                   && (blockred <= blockedreductions))
     {
@@ -2679,5 +2678,5 @@
             r=sba(r,Q,*w,hilb,strat);
           else
-          { 
+          {
             r=sba(r,Q,NULL,hilb,strat);
           }
Index: kernel/GBEngine/kutil.cc
===================================================================
--- kernel/GBEngine/kutil.cc	(revision 0c669f797f1425a0c889419c6dcb158f6278afa1)
+++ kernel/GBEngine/kutil.cc	(revision c6a876cd79ed3203ef80952a2f353799dc626ccc)
@@ -13,6 +13,6 @@
 
 //#define ADIDEBUG 1
-//All vs Just strategy over rings: 
-// 1 - Just 
+//All vs Just strategy over rings:
+// 1 - Just
 // 0 - All
 #define ALL_VS_JUST 0
@@ -582,5 +582,4 @@
         {
           pDelete(&p);
-          p = NULL;
         }
         break;
@@ -1769,5 +1768,5 @@
 
   pNext(gcd) = p_Add_q(pp_Mult_mm(pNext(p), m1, strat->tailRing), pp_Mult_mm(pNext(si), m2, strat->tailRing), strat->tailRing);
-  
+
 #ifdef KDEBUG
   if (TEST_OPT_DEBUG)
@@ -1857,5 +1856,5 @@
     h.p = pNeg(h.p);
   }
-  
+
     if(rField_is_Ring(currRing) &&  pLtCmp(h.sig,sig) == -1)
     {
@@ -2768,5 +2767,5 @@
   pWrite(m2);
 #endif
-  
+
   // get multiplied signatures for testing
   pSigMult = pp_Mult_mm(pSigMult,m1,currRing);
@@ -2875,6 +2874,6 @@
     Lp.sevSig = p_GetShortExpVector(Lp.sig,currRing);
   }
-  
-  #if 0  
+
+  #if 0
   if(sigCmp==0)
   {
@@ -4831,5 +4830,5 @@
           return;
         }
-        
+
       }
       #else
@@ -5227,5 +5226,5 @@
     int o = p_Deg(p,currRing);
     int op = p_Deg(set[mon],currRing);
-    
+
     if ((op < o)
     || ((op == o) && (pLtCmp(set[mon],p) == -1)))
@@ -5257,5 +5256,5 @@
     int o = p_Deg(p,currRing);
     int op = p_Deg(set[length],currRing);
-    
+
     if ((op < o)
     || ((op == o) && (pLtCmp(set[length],p) == -1)))
@@ -7138,5 +7137,5 @@
 #endif
     if (p_LmShortDivisibleBy(strat->syz[k], strat->sevSyz[k], sig, not_sevSig, currRing)
-    && (!rField_is_Ring(currRing) || 
+    && (!rField_is_Ring(currRing) ||
     (n_DivBy(pGetCoeff(sig), pGetCoeff(strat->syz[k]),currRing) && pLtCmp(sig,strat->syz[k]) == 1)))
     {
@@ -7195,5 +7194,5 @@
 #endif
       if (p_LmShortDivisibleBy(strat->syz[k], strat->sevSyz[k], sig, not_sevSig, currRing)
-      && (!rField_is_Ring(currRing) || 
+      && (!rField_is_Ring(currRing) ||
       (n_DivBy(pGetCoeff(sig), pGetCoeff(strat->syz[k]),currRing) && pLtCmp(sig,strat->syz[k]) == 1)))
       {
@@ -9615,5 +9614,5 @@
                               strat->L[cc].sig, ~strat->L[cc].sevSig, currRing)
                               #ifdef HAVE_RINGS
-                              &&((!rField_is_Ring(currRing)) 
+                              &&((!rField_is_Ring(currRing))
                               || (n_DivBy(pGetCoeff(strat->L[cc].sig),pGetCoeff(strat->syz[atT]),currRing) && (pLtCmp(strat->L[cc].sig,strat->syz[atT])==1)))
                               #endif
@@ -11071,5 +11070,5 @@
   if(deleted)
     strat->initEcart(h);
-  
+
 }
 
@@ -11887,5 +11886,5 @@
   // clean h.p, get poly from t_p
   pNext(h.p)=NULL;
-  pDelete(&h.p);
+  pLmDelete(&h.p);
   p = prMoveR(h.t_p, /* source ring: */ strat->tailRing,
                      /* dest. ring: */ currRing);
